package com.xxrv.coupon.bean;

import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.ruiwenliu.wrapper.base.BaseBean;
import com.xxrv.coupon.adapter.CarCouponAdapter;

import java.io.Serializable;
import java.util.List;

public class CarCouponBean extends BaseBean {
    private DataBean data;
    private boolean rel;

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class DataBean implements Serializable {
        private CarCouponTypeDataBean.CarCouponDataBean coupon;
        private List<CarCouponTypeDataBean> array;

        public CarCouponTypeDataBean.CarCouponDataBean getCoupon() {
            return coupon;
        }

        public void setCoupon(CarCouponTypeDataBean.CarCouponDataBean coupon) {
            this.coupon = coupon;
        }

        public List<CarCouponTypeDataBean> getArray() {
            return array;
        }

        public void setArray(List<CarCouponTypeDataBean> array) {
            this.array = array;
        }

        public static class CarCouponTypeDataBean implements Serializable, MultiItemEntity {
            private String type;
            private List<CarCouponDataBean> list;

            public String getType() {
                return type;
            }

            public void setType(String type) {
                this.type = type;
            }

            public List<CarCouponDataBean> getList() {
                return list;
            }

            public void setList(List<CarCouponDataBean> list) {
                this.list = list;
            }

            @Override
            public int getItemType() {
                return CarCouponAdapter.TYPE_CARCOUPON_TITLE;
            }

            public static class CarCouponDataBean implements Serializable,MultiItemEntity{
                private String couponId;//  ": 2,
                private String userId;// ": 176,
                private String tickerNo;// ": "172825637097181184",
                private String isUse;// ": 0,
                private long crtTime;// ": 1563350412834,
                private long startTime;// ": 1563331306739,
                private long expireTime;// ": 1577760103000,   到期时间
                private String expireDate ;
                private String useTime;// ": 0,
                private String title;// ": "租车券",  优惠券标题
                private String subtitle;// ": "租车券",   副标题
                private String icon;// ": "https://xxtest.upyuns.com/image/admin/20190513143243.png",
                private String used;// ": 61,
                private String channel;// ": 1,    0-全平台；1-租车；2-旅游；3-营地
                private String userType;// ": 0,
                private String type;// ": 1,1满减券 2叠加满减券 3无门槛券
                private String withSpecial;// ": 2,
                private String withSn;// ": "",
                private double withAmount;// ": 2400,  满多少金额
                private double usedAmount;// ": 900,用券抵扣金额
                private String status;// ": 1,   1-有效；2-无效
                private String url;// ": ""
                private boolean isCheck;
                private String isChecked;

                public boolean isCheck() {
                    return isCheck;
                }

                public void setCheck(boolean check) {
                    isCheck = check;
                }

                public String getCouponId() {
                    return couponId;
                }

                public void setCouponId(String couponId) {
                    this.couponId = couponId;
                }

                public String getUserId() {
                    return userId;
                }

                public void setUserId(String userId) {
                    this.userId = userId;
                }

                public String getTickerNo() {
                    return tickerNo;
                }

                public void setTickerNo(String tickerNo) {
                    this.tickerNo = tickerNo;
                }

                public String getIsUse() {
                    return isUse;
                }

                public void setIsUse(String isUse) {
                    this.isUse = isUse;
                }

                public long getCrtTime() {
                    return crtTime;
                }

                public void setCrtTime(long crtTime) {
                    this.crtTime = crtTime;
                }

                public long getStartTime() {
                    return startTime;
                }

                public void setStartTime(long startTime) {
                    this.startTime = startTime;
                }

                public long getExpireTime() {
                    return expireTime;
                }

                public void setExpireTime(long expireTime) {
                    this.expireTime = expireTime;
                }

                public String getUseTime() {
                    return useTime;
                }

                public void setUseTime(String useTime) {
                    this.useTime = useTime;
                }

                public String getTitle() {
                    return title;
                }

                public void setTitle(String title) {
                    this.title = title;
                }

                public String getIcon() {
                    return icon;
                }

                public void setIcon(String icon) {
                    this.icon = icon;
                }

                public String getUsed() {
                    return used;
                }

                public void setUsed(String used) {
                    this.used = used;
                }

                public String getChannel() {
                    return channel;
                }

                public void setChannel(String channel) {
                    this.channel = channel;
                }

                public String getUserType() {
                    return userType;
                }

                public void setUserType(String userType) {
                    this.userType = userType;
                }

                public String getType() {
                    return type;
                }

                public void setType(String type) {
                    this.type = type;
                }

                public String getWithSpecial() {
                    return withSpecial;
                }

                public void setWithSpecial(String withSpecial) {
                    this.withSpecial = withSpecial;
                }

                public String getWithSn() {
                    return withSn;
                }

                public void setWithSn(String withSn) {
                    this.withSn = withSn;
                }

                public double getWithAmount() {
                    return withAmount;
                }

                public void setWithAmount(double withAmount) {
                    this.withAmount = withAmount;
                }

                public double getUsedAmount() {
                    return usedAmount;
                }

                public void setUsedAmount(double usedAmount) {
                    this.usedAmount = usedAmount;
                }

                public String getStatus() {
                    return status;
                }

                public void setStatus(String status) {
                    this.status = status;
                }

                public String getUrl() {
                    return url;
                }

                public void setUrl(String url) {
                    this.url = url;
                }

                public String getSubtitle() {
                    return subtitle;
                }

                public void setSubtitle(String subtitle) {
                    this.subtitle = subtitle;
                }

                public String getIsChecked() {
                    return isChecked;
                }

                public void setIsChecked(String isChecked) {
                    this.isChecked = isChecked;
                }

                public String getExpireDate() {
                    return expireDate;
                }

                public void setExpireDate(String expireDate) {
                    this.expireDate = expireDate;
                }

                @Override
                public int getItemType() {
                    return CarCouponAdapter.TYPE_CARCOUPON_NAME;
                }
            }
        }

    }
}
